# Generated by Django 2.0.6 on 2018-06-18 05:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Bus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('model', models.CharField(max_length=100, verbose_name='Modelo')),
                ('patent', models.CharField(max_length=100, verbose_name='Patente')),
                ('kms', models.IntegerField(default=0, verbose_name='Kilometraje')),
                ('seats', models.IntegerField(default=0, verbose_name='Cant. Asientos')),
            ],
        ),
        migrations.CreateModel(
            name='Passanger',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=100)),
                ('rut', models.IntegerField(default=0)),
                ('dv', models.CharField(default='', max_length=1)),
                ('email', models.CharField(default='', max_length=150)),
                ('phone', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='PassangerTicket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('seat', models.CharField(max_length=5)),
                ('passanger', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='buses.Passanger')),
            ],
        ),
        migrations.CreateModel(
            name='Stop',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('location', models.CharField(max_length=200)),
                ('arrival', models.DateTimeField(default=django.utils.timezone.now)),
                ('leave', models.DateTimeField(default=django.utils.timezone.now)),
            ],
        ),
        migrations.CreateModel(
            name='Trip',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.CharField(max_length=300)),
                ('destination', models.CharField(max_length=300)),
                ('start_time', models.DateTimeField(default=django.utils.timezone.now)),
                ('bus', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='buses.Bus')),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(choices=[('CO', 'Conductor'), ('AD', 'Administrador')], default='CO', max_length=2)),
                ('user', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='trip',
            name='bus_driver',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buses.UserProfile'),
        ),
        migrations.AddField(
            model_name='stop',
            name='trip',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='buses.Trip'),
        ),
        migrations.AddField(
            model_name='passangerticket',
            name='trip',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='buses.Trip'),
        ),
    ]
